import { CSSProperties, ElementType, ReactNode } from "react";
import { AUTO, COLUMN, NONE, NOWRAP, ROW, WRAP } from "../constants";
declare type Properties = {
    direction?: typeof COLUMN | typeof ROW;
    margin?: number | number[];
    padding?: number | number[];
    width?: number | typeof AUTO | typeof NONE;
    wrap?: typeof NOWRAP | typeof WRAP;
};
declare type Props = {
    children?: ReactNode;
    element?: ElementType;
    style?: CSSProperties;
    x?: Properties;
    s?: Properties;
    m?: Properties;
    l?: Properties;
};
export declare function Space({ children, element: Element, style, x, s, m, l, }: Props): JSX.Element;
export {};
